Skip Menu |
 

This queue is for tickets about the Math-BigInt CPAN distribution.

Report information
The Basics
Id: 7244
Status: resolved
Worked: 15 min
Priority: 0/
Queue: Math-BigInt

People
Owner: TELS [...] cpan.org
Requestors: RSOD [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Critical
Broken in: 1.71
Fixed in: 1.73



Content-Type: text/plain
Content-Disposition: inline
Content-Transfer-Encoding: binary
MIME-Version: 1.0
X-Mailer: MIME-tools 5.411 (Entity 5.404)
Subject: 1.71 fails to list required dependency "Scalar::Util"
X-RT-Original-Encoding: iso-8859-1
Content-Length: 202
Download (untitled) / with headers
text/plain 202b
After installing perl 5.6 from ports on FreeBSD 4.7 (yep, it's out of date a bit), we discovered that Math::BigInt can't install because it expects an unlisted dependency, "Scalar::Util", to be present.
Content-Type: text/plain
Content-Disposition: inline
Content-Transfer-Encoding: binary
MIME-Version: 1.0
X-Mailer: MIME-tools 5.411 (Entity 5.404)
From: perl_dummy [...] bloodgate.com
X-RT-Original-Encoding: iso-8859-1
Content-Length: 610
Download (untitled) / with headers
text/plain 610b
[guest - Tue Aug 3 18:55:41 2004]: Show quoted text
> After installing perl 5.6 from ports on FreeBSD 4.7 (yep, it's out of > date a bit), we discovered that Math::BigInt can't install because > it expects an unlisted dependency, "Scalar::Util", to be present.
Scalar::Util was added to capture some obscure bugs (like writing $x -=$x). I guess the testsuite exercised these to make sure they work, and thus needs Scalar::Utils as a side-effect. Since I didn't realize that Scalar::Util is not part of older perls, I forgot the PREREQ. Mea culpa. I added one for the upcoming v1.73. Thank you for your report, Tels


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.